import codecs
import json
from pathlib import Path
from typing import Dict, Optional

from .sanitizer import statute_sanitizer


def sanitize_mock_html(p: Path) -> str:
    with codecs.open(str(p), "r") as f:  # codecs uses string
        content = f.read()
        clean = statute_sanitizer.sanitize(content)
        return clean


def records(p: Path):
    with open(p, "r") as f:
        return json.load(f)


def title_from_json(p: Path, category: int, numeral: str) -> Dict:
    return next(
        record
        for record in iter(records(p))
        if record["category"] == category and record["numeral"] == numeral
    )
